LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCancellable Interface Referencepublished

offers the possibility of canceling a job. More...

`import"XCancellable.idl";`

Inheritance diagram for XCancellable:

## Public Member Functions
void | cancel ()
| cancels the current job of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers the possibility of canceling a job.

This is supported by objects which represent a job.

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

cancels the current job of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XCancellable.idl